Update Teams
curl --request PATCH \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/teams/{teamId} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"licenseIds": [
"<string>"
],
"userIds": [
"<string>"
],
"projectIds": [
"<string>"
],
"leadUserIds": [
"<string>"
],
"viewOnlyFeatureKeys": []
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/teams/{teamId}"
payload = {
"name": "<string>",
"licenseIds": ["<string>"],
"userIds": ["<string>"],
"projectIds": ["<string>"],
"leadUserIds": ["<string>"],
"viewOnlyFeatureKeys": []
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
licenseIds: ['<string>'],
userIds: ['<string>'],
projectIds: ['<string>'],
leadUserIds: ['<string>'],
viewOnlyFeatureKeys: []
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/teams/{teamId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seatsAdded": [
{
"membershipId": "<string>",
"userId": "<string>",
"licenseId": "<string>"
}
],
"seatsRemoved": [
{
"membershipId": "<string>",
"userId": "<string>",
"licenseId": "<string>"
}
],
"seatsAbsorbed": [
{
"membershipId": "<string>",
"userId": "<string>",
"licenseId": "<string>"
}
],
"team": {
"id": "<string>",
"name": "<string>",
"licenses": [
{
"licenseId": "<string>",
"packageKey": "<string>",
"displayName": "<string>",
"status": "<string>"
}
],
"members": [
{
"userId": "<string>",
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"isLead": true
}
],
"projects": [
{
"id": "<string>",
"name": "<string>"
}
],
"viewOnlyFeatureKeys": [
"collaboration"
]
}
}Teams
Update Teams
PATCH
/
v1
/
workspaces
/
{workspaceId}
/
teams
/
{teamId}
Update Teams
Query Parameters
Available options:
true, false Body
application/json
Required string length:
1 - 120Maximum array length:
200Pattern:
^\d+$Maximum array length:
200Pattern:
^\d+$Maximum array length:
200Pattern:
^\d+$Maximum array length:
200Pattern:
^\d+$Maximum array length:
8Available options:
brand_standard, catalog, specifications, procurement_finance, logistics, budget_analysis, collaboration, ai_assistant ⌘I